<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Cron;

use Chill\MainBundle\Entity\CronJobExecution;

interface CronJobInterface
{
    public function canRun(?CronJobExecution $cronJobExecution): bool;

    public function getKey(): string;

    public function run(): void;
}
