import {ShowHide} from 'ChillMainAssets/lib/show_hide/index';

document.addEventListener('DOMContentLoaded', function(_e) {
    console.log('pick-rolling-date');
    document.querySelectorAll('div[data-rolling-date]').forEach( (picker) => {
        const
            roll_wrapper = picker.querySelector('div.roll-wrapper'),
            fixed_wrapper = picker.querySelector('div.fixed-wrapper');

        new ShowHide({
            froms: [roll_wrapper],
            container: [fixed_wrapper],
            test: function (elems) {
                console.log('testing');
                console.log('elems', elems);
                for (let el of elems) {
                    for (let select_roll of el.querySelectorAll('select[data-roll-picker]')) {
                        console.log('select_roll', select_roll);
                        console.log('value', select_roll.value);
                        return select_roll.value === 'fixed_date';
                    }
                }
                return false;
            }
        })
    });
});

